async_result.h File Reference

This file provides a thread-safe asynchronous result class. More...

`#include <utility>`
`#include <c++-gtk-utils/mutex.h>`
`#include <c++-gtk-utils/thread.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes

class | Cgu::AsyncResult< T >
| A thread-safe asynchronous result class. More...

## Namespaces

| Cgu

## Detailed Description

This file provides a thread-safe asynchronous result class.